| Home | Libraries | People | FAQ | More

##### results::front

Returns the first resultset.

###### Synopsis

    resultset_view
    front() const;

###### Preconditions

`this->has_value() == true`

###### Exception safety

No-throw guarantee.

###### Object lifetimes

The returned reference and any other references obtained from it are valid as long as `*this` is alive. Move operations invalidate references.

###### Complexity

Constant.